import { Connection, PublicKey, TransactionInstruction } from "@solana/web3.js";
import BN from "bn.js";
import { BlockchainNetwork, ReserveConfigType } from "./shared";
export declare const buildLiquidateIxs: (network: BlockchainNetwork, connection: Connection, obligation: PublicKey, liquidityAmount: string | BN, depositReserve: PublicKey, borrowReserve: PublicKey, publicKey: PublicKey) => Promise<TransactionInstruction[]>;
export declare const addPreIxsNeededIfRepayTokenIsRENEC: (network: BlockchainNetwork, connection: Connection, amount: string | BN, publicKey: PublicKey, instructions: TransactionInstruction[], userTokenAccountAddress: PublicKey, selectedBorrowReserve: ReserveConfigType) => Promise<void>;
export declare const addAfterIxsNeededIfRepayTokenIsRENEC: (network: BlockchainNetwork, publicKey: PublicKey, instructions: TransactionInstruction[], selectedDepositReserve: ReserveConfigType, selectedBorrowReserve: ReserveConfigType) => Promise<void>;
