import { Connection, PublicKey } from "@solana/web3.js";
import { BlockchainNetwork } from "../../classes";
import { PoolMetadataCoreType } from "../types";
export declare function fetchPoolMetadata(network: BlockchainNetwork, connection: Connection, useApi?: Boolean, debug?: Boolean): Promise<Array<PoolMetadataCoreType>>;
export declare const fetchPoolMetadataFromChain: (connection: Connection, programId: PublicKey, debug?: Boolean) => Promise<{
    name: null;
    owner: string;
    authorityAddress: string;
    address: string;
}[]>;
