import { BlockchainNetwork } from "@/classes";
export declare const fetchTokensInfo: (network: BlockchainNetwork, mints: string[], debug?: boolean) => Promise<any>;
export declare const fetchTokensInfoSolanaMetaplex: (network: BlockchainNetwork, liquidityPubkeys: string[]) => Promise<{
    [k: string]: {
        name: string;
        symbol: string;
        logoUri: any;
        decimals: number;
    };
}>;
export declare const fetchTokensInfoSolana: (network: BlockchainNetwork, mints: string[]) => Promise<any>;
export declare const fetchTokensInfoRenec: (mints: string[]) => Promise<any>;
