export type Environment = "staging" | "prod" | "prod_test" | "solana_devnet" | "solana_phuc_devnet" | "solend" | "solana_mainnet" | "renec_testnet";
export interface EnvConfig {
    program: string;
    url: string;
}
export declare const envConfigs: Record<Environment, EnvConfig>;
export type TokenTypes = "GAST" | "PLUS1" | "APS" | "BNB" | "SOL" | "stRENEC" | "USDC" | "ETH" | "BTC" | "SRM" | "soFTT" | "RAY" | "SBR" | "MER" | "mSOL" | "VND" | "USDT" | "reVND" | "reNGN" | "RENEC" | "reBTC" | "reETH" | "reUSD" | "WBTC";
export type TokenConfig = {
    [key in TokenTypes]?: {
        reserve: string;
    };
};
export declare const tokenConfigs: Record<Environment, TokenConfig>;
