import BigNumber from "bignumber.js";
import { ReserveType } from "../types";
export declare const calculateNewRatesAfterRefreshReserve: (reserve: ReserveType, currentSlot: number) => {
    newAccumulatedProtocolTakeFee: BigNumber;
    newCummulativeBorrowRate: BigNumber;
    newBorrowedAmountAfterRefresh: BigNumber;
    newCTokenExchangeRate: BigNumber;
};
export declare const calculateSupplyAPY: (reserve: ReserveType) => number;
export declare const calculateBorrowAPY: (reserve: ReserveType) => number;
export declare const calculateSupplyAPR: (reserve: ReserveType) => BigNumber;
export declare const calculateUtilizationRatio: (reserve: ReserveType) => BigNumber;
export declare const calculateBorrowAPR: (reserve: ReserveType) => BigNumber;
