"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tokenConfigs = exports.envConfigs = void 0;
exports.envConfigs = {
    staging: {
        program: "987JFrVXxqXyEr2DV1PNU4WwT9ppsjoWjn613NB6mrJ6",
        url: "https://api-mainnet-beta.renec.foundation:8899",
    },
    renec_testnet: {
        program: "LP17qXm5XnefkyVzkJa8gLcKXnjmsjX3YQCdB18Dsku",
        url: "https://api-testnet.renec.foundation:8899",
    },
    prod: {
        program: "AqR1WSUwNeVsz66ayH2J8iTyiGMgouRwPqzzMaxx49ba",
        url: "https://api-mainnet-beta.renec.foundation:8899",
    },
    prod_test: {
        program: "987JFrVXxqXyEr2DV1PNU4WwT9ppsjoWjn613NB6mrJ6",
        url: "https://api-mainnet-beta.renec.foundation:8899",
    },
    solana_devnet: {
        program: "ALend7Ketfx5bxh6ghsCDXAoDrhvEmsXT3cynB6aPLgx",
        url: "https://devnet.helius-rpc.com/?api-key=771f4ac4-3e06-4042-97a9-a22c77b5cc34",
    },
    solana_phuc_devnet: {
        program: "3T3SKcgx6bYX69hNQUbrfDfejbfpzn8gge9mGu39TYkY",
        url: "https://devnet.helius-rpc.com/?api-key=771f4ac4-3e06-4042-97a9-a22c77b5cc34",
    },
    solend: {
        program: "So1endDq2YkqhipRh3WViPa8hdiSpxWy6z3Z6tMCpAo",
        url: "https://attentive-dark-sound.solana-mainnet.quiknode.pro/82b11a979bf524d01dd9d552c158b933a76852e0/",
    },
    solana_mainnet: {
        program: "9L193MV4yakKcgNT2tN4Kvf1ypn9c1sVMvsRn1Amw2Au",
        url: "https://attentive-dark-sound.solana-mainnet.quiknode.pro/82b11a979bf524d01dd9d552c158b933a76852e0/",
    }
};
exports.tokenConfigs = {
    staging: {
        GAST: {
            reserve: "9ZKvdaKmWyEscMi7pTfMGZy1mCV96oDBicHa31LEwPnN",
        },
    },
    prod: {
        reVND: {
            reserve: "HrViAzmrXZVtvhP6JPSyvcw1EqWNWfUwdVAPfyMwU3rU"
        },
        reNGN: {
            reserve: "FeLrJVqZTsmeaGuSQgAWjWpm99R8DeHMStHd7SKqtYcr"
        },
        RENEC: {
            reserve: "GK7qqqM159LixsqPU4PSkduygnA7USY6aJTJepYovBM1"
        },
        reBTC: {
            reserve: "AtiGYDhwF7WgxCCkoBrBZExGgvkMdZvjF8RbeiFz5JYn"
        },
        reETH: {
            reserve: "522Q6kyNCcRoPZSg6ErT3vnXDhAZUczV7Dhm7WW1jJyo"
        },
        reUSD: {
            reserve: "7g1fCn1DxokaQ1Wyu4ydecFMBsskSisoFZ25qAURSVdU"
        },
        GAST: {
            reserve: "4T7Ch8sRG64fsmULtZm7DN5w3xNpj6JSkAJPA9wuCaP7",
        },
        PLUS1: {
            reserve: "6CiYukoGvMypdg126sMrJWmiPbxTemTdFLzixiReX95V",
        },
        APS: {
            reserve: "C7eCkjRRyA7PK9WbMsp1oh47NNUu7S6Hd9YUjS3fcjsZ"
        },
        BNB: {
            reserve: "Fv3ddD8o28e62F1S5SNCzLnpypGWJtCiBVH4dsj5NJmT"
        },
        SOL: {
            reserve: "AUD5T98r5o9e9h1uxwrxtaPqA1YZ7dUcnmXozVwEZzrS"
        },
        stRENEC: {
            reserve: "BtS6BD3wK3B463YwGTHoWkgKZZT1eCgj3rnxD1Zh6mnq"
        },
    },
    prod_test: {
        PLUS1: {
            reserve: "6k6BZCRjP2ZYdV6WnWjGpMiYWovNpJsUN3H69pnuegLy"
        },
    },
    solana_devnet: {
        SOL: {
            reserve: "5VVLD7BQp8y3bTgyF5ezm1ResyMTR3PhYsT4iHFU8Sxz"
        },
        USDC: {
            reserve: "FNNkz4RCQezSSS71rW2tvqZH1LCkTzaiG7Nd1LeA5x5y"
        },
        ETH: {
            reserve: "CuQcLfN3iTWqyEEbAHNZp7awChbR4KQPFJsTUhsAxrcu"
        },
        BTC: {
            reserve: "FNXBRv3saDgVoaoDLV5ho28D4AvZikG9r7QpThTLak9f"
        },
        SRM: {
            reserve: "5YKmMZcuWEdF5NavNK4MgKPRhnhw6jq22zwcdh1dvxbd"
        },
        soFTT: {
            reserve: "8eUYeEiGXRMN7V9Xx7CehwSRfJB9iQfJW249zX1z7Uue"
        },
        RAY: {
            reserve: "FpKhrtU6nDjEcAi3SsSevRRgPzirLkZpmXD6nfeb7k8c"
        },
        SBR: {
            reserve: "5CXDzn4AygQwu59fGxo34T965BmYMHuGvAuoRMeRBKg4"
        },
        MER: {
            reserve: "HbXi7Gpe5GXzE7V1SjEEy3sDurmFi7RbTvCZ3Rd7Nv6b"
        },
        mSOL: {
            reserve: "Ei2dC7hFxBhVq5pn4qNJLMxKBSojx7p7wnNoBz4HELKG"
        },
    },
    solana_phuc_devnet: {
        SOL: {
            reserve: "ASw7nEoTmezJxgTb2UcnfvRdHxRcZrwrwTB5YiVRZ2rE"
        },
        USDC: {
            reserve: "Cr6AhMbF6hu6b3nTmqKZ77ZxkC9yzJN4DZYh8WLFR7Kp"
        },
        BTC: {
            reserve: "FXXmNEYFXVvBogKQXcAtU3BSt5KBX6NMvuXVABcp6wLx"
        },
        ETH: {
            reserve: "HUgXCfAZ41UoaWgs7SQu1TqhtAq3jrEASKga8DSyBfff"
        },
        VND: {
            reserve: "Fd7r6Hu7GAkV4Tkhd8Mwd947n2vHoXtr5E6LX33NnAYs",
        },
    },
    solend: {
        ETH: {
            reserve: "CPDiKagfozERtJ33p7HHhEfJERjvfk1VAjMXAFLrvrKP"
        },
        BTC: {
            reserve: "GYzjMCXTDue12eUGKKWAqtF5jcBYNmewr6Db6LaguEaX"
        },
        SOL: {
            reserve: "8PbodeaosQP19SjYFx855UMqWxH2HynZLdBXmsrbac36"
        },
        USDT: {
            reserve: "8K9WC8xoh2rtQNY7iEGXtPvfbDCi563SdWhCAhuMP2xE"
        },
    },
    solana_mainnet: {
        USDT: {
            reserve: "CqYaAZVvv1293rNRfhyswXauGjMVcmixj9eb8CgXsW1v"
        },
        VND: {
            reserve: "48t5kbjsk3STsJd3Eg3zxYyY8nMvY14Ka1BGsc37YUdE"
        },
        WBTC: {
            reserve: "D3vpLMDeZPquVgRJ7Vp67HQtFscMa2JmMWYS32Q4355J"
        },
        ETH: {
            reserve: "4qqEMNFzYM3CZNpqWMokG1irctD9mvfxJgwjNnKk46zC"
        },
        SOL: {
            reserve: "73ujKUUGJ6oqRfk6TWmj6v4mTguqMVuE61WVVZSfH2sm"
        }
    },
    renec_testnet: {
        reVND: {
            reserve: "47vKF3TeEooqHNpHJKKnxRvhtGMLiTYKz4bGLyyTGyc4"
        }
    }
};
